%global forgeurl        https://github.com/dreamworksanimation
%global cmodver         1.0.0.5
%global gitcommit       119ffaf8b94e69ee09091dab080a27d184cade97
%global gitshort        %(c=%{gitcommit}; echo ${c:0:7})

%global baseversion     6.3.0.0

%bcond tests    1

Name:           arras_render
Version:        %{baseversion}%{?gitcommit:^git%{gitshort}}
Release:        %{autorelease}
Summary:        Simple Qt viewer for Arras renders

License:        Apache-2.0
URL:            https://openmoonray.org/
Source0:        %{forgeurl}/%{name}/archive/%{gitcommit}.tar.gz
Source1:        %{forgeurl}/cmake_modules/archive/refs/tags/cmake_modules-%{cmodver}.tar.gz

BuildRequires:  cmake >= 3.23.1
BuildRequires:  gcc-c++

BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(OpenEXR)
# OpenEXR
BuildRequires:  pkgconfig(zlib)
BuildRequires:  cmake(OpenImageIO)
BuildRequires:  cmake(Qt5)
BuildRequires:  cmake(Qt5Script)

BuildRequires:  cmake(ArrasCore) = 4.10.3.10
BuildRequires:  cmake(McrtDataio) = 14.22.0.0
BuildRequires:  cmake(McrtMessages) = 13.6.0.0
BuildRequires:  cmake(SceneRdl2) = 14.22.0.0

Requires:       ArrasCore = 4.10.3.10
Requires:       McrtDataio = 14.22.0.0
Requires:       McrtMessages = 13.6.0.0
Requires:       SceneRdl2 = 14.22.0.0
Provides:       ArrasRender = %{baseversion}

%description
Simple Qt viewer for Arras renders


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

Requires:       boost-devel
Requires:       pkgconfig(libjpeg)
Requires:       pkgconfig(OpenImageIO)
Requires:       pkgconfig(Qt5)
Requires:       pkgconfig(Qt5Script)

Requires:       cmake(ArrasCore) = 4.10.3.10
Requires:       cmake(McrtDataio) = 14.22.0.0
Requires:       cmake(McrtMessages) = 13.6.0.0
Requires:       cmake(SceneRdl2) = 14.22.0.0

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-%{gitcommit}
mkdir -p cmake_modules
tar -xzf %{SOURCE1} --strip-components=1 -C $_

# Include minor releases
sed -i "14s|'[^']*'|'%{baseversion}'|" \
        package.py

sed -i 's|DESTINATION .|DESTINATION %{_libdir}/openmoonray|g' \
        sessions/CMakeLists.txt


%build
ARRAS_SESSION_PATH=%{_libdir}/openmoonray/sessions \
%cmake \
    -DCMAKE_MODULE_PATH=%{_builddir}/%{buildsubdir}/cmake_modules/cmake \
    -DMOONRAY_USE_OPTIX=OFF \
    -DBUILD_TESTING=%{expr:%{with tests}?"ON":"OFF"}
%cmake_build


%install
%cmake_install

rmdir %{buildroot}%{_libdir}/openmoonray/sessions/CMakeFiles


%files
%license LICENSE
%{_bindir}/arras_render
%{_libdir}/openmoonray/sessions/mcrt_progressive.sessiondef

%files devel
%{_libdir}/cmake/ArrasRender-%{baseversion}


%changelog
%autochangelog
